#!/bin/sh

PACKAGE_NAME="BlueShinyCursors"
WORK_DIR=`pwd`

rm -Rf "${PACKAGE_NAME}.tar.bz2"

echo -n "Generating 16x16 cursors..."
(cd 16x16 ; ./Build.sh)

echo -n "Generating 24x24 cursors..."
(cd 24x24 ; ./Build.sh)

echo -n "Generating 32x32 cursors..."
(cd 32x32 ; ./Build.sh)

echo -n "Generating 64x64 cursors..."
(cd 64x64 ; ./Build.sh)

echo -n "Building Release dir... "
rm -Rf "/tmp/${PACKAGE_NAME}"
mkdir -p "/tmp/${PACKAGE_NAME}"

cp ../README "/tmp/${PACKAGE_NAME}"
cp ../index.theme "/tmp/${PACKAGE_NAME}"
cp ../preview.jpg "/tmp/${PACKAGE_NAME}"

cd "/tmp/${PACKAGE_NAME}"
mv "${WORK_DIR}/16x16/cursors" 16x16
mv "${WORK_DIR}/24x24/cursors" 24x24
mv "${WORK_DIR}/32x32/cursors" 32x32
mv "${WORK_DIR}/64x64/cursors" 64x64
cp -r "${WORK_DIR}/" source
ln -s 32x32 cursors

echo "Done!"

cd /tmp

echo "Creating Release Archive..."

rm -Rf "${PACKAGE_NAME}.tar"
rm -Rf "${PACKAGE_NAME}.tar.bz2"

tar -cvf "${PACKAGE_NAME}.tar" "${PACKAGE_NAME}/"
bzip2 "${PACKAGE_NAME}.tar"
mv "${PACKAGE_NAME}.tar.bz2" "${WORK_DIR}"
cd "${WORK_DIR}"

rm -Rf "/tmp/${PACKAGE_NAME}"


########### Done!
echo "Ready!"
